=== debian/changelog ===
quassel (0.12.1-0ubuntu0.1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 23 Apr 2015 15:34:09 +0200

quassel (0.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 15 Apr 2015 23:21:46 +0200

quassel (0.12~rc1-0ubuntu2) vivid; urgency=medium

  * Install /usr/share/knotifications5/quassel.notifyrc to quassel-data.
  * Pass --fail-missing to dh_install.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 30 Mar 2015 23:03:03 +0200

quassel (0.12~rc1-0ubuntu1) vivid; urgency=medium

  * New upstream release. (LP: #1431008)

  [ Michael Marley ]
  * Add Wants and After on postgresql for systemd (LP: #1432161)
  * Add Restart=on-failure for systemd

  [ Felix Geyer ]
  * Drop kubuntu_02_enable_message_indicator.diff as there is no
    message indicator widget in Kubuntu anymore.

 -- Felix Geyer <debfx@ubuntu.com>  Wed, 18 Mar 2015 17:21:10 +0100

quassel (0.12~beta1-0ubuntu1) vivid; urgency=medium

  [ Michael Marley ]
  * New upstream kf5 based beta release
    - Drop patches debian/patches/CVE-2014-8483.patch,
      upstream_qca-qt5-cmake.patch and upstream_qca-qt5-code.patch
    - Add kf5 build-deps
    - Adjust install paths
  * Fix upstart job to avoid race conditions on restart

 -- Scott Kitterman <scott@kitterman.com>  Thu, 19 Feb 2015 07:42:04 -0500

quassel (0.11.0-0ubuntu2) vivid; urgency=medium

  * Build against Qt 5
  * Remove individual Qt packages, no separate KDE build with Qt 5 (yet)
  * Add upstream_qca-qt5-cmake.patch  upstream_qca-qt5-code.patch to
    fix build with qca

 -- Michael Marley <michael@michaelmarley.com>  Fri, 28 Nov 2014 15:31:11 +0000

quassel (0.11.0-0ubuntu1) vivid; urgency=medium

  * New upstream release.
  * Fix CVE-2014-8483: out-of-bounds read in ECB Blowfish decryption.
    - Add debian/patches/CVE-2014-8483.patch
    - LP: #1388333
  * Simplify debian/rules a bit by using debhelper compal level 9.
  * Add a systemd service file.

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 01 Nov 2014 11:52:52 +0100
