## quassel 0.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,8 +11,8 @@
 # Versions
 set(QUASSEL_MAJOR  0)
 set(QUASSEL_MINOR 12)
-set(QUASSEL_PATCH  1)
-set(QUASSEL_VERSION_STRING "0.12.1")
+set(QUASSEL_PATCH  2)
+set(QUASSEL_VERSION_STRING "0.12.2")
 
 # We want to know CMake's version for debug reasons
 message(STATUS "Using CMake ${CMAKE_VERSION}")
