=== debian/changelog ===
quassel (0.12.2-0ubuntu1.16.04.2) xenial; urgency=medium

  * Cherry-pick fix introduced in Debian in revision 1:0.13.1-2 to fix
    apparmor profile (LP: #1863664)
  * Fix build failure with qt 5.5 with upstream patches.
    - debian/patches/be23c0c48e37617eebe0be0eb2ea5c6246dc8170.patch:
    - debian/patches/078477395aaec1edee90922037ebc8a36b072d90.patch:

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 17 Feb 2020 19:07:40 +0100

quassel (0.12.2-0ubuntu1) wily; urgency=medium

  * Generate a 2048-bit cert. (LP: #1455990)

 -- Michael Marley <michael@michaelmarley.com>  Sun, 17 May 2015 18:58:08 -0400

quassel (0.12.2-0ubuntu0.1) vivid; urgency=medium

  * New upstream release
  - LP: #1448911 Execute initDbSession() on DB reconnects

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 27 Apr 2015 10:11:13 +0200
