=== debian/control ===
Source: quassel
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Harald Sitter <apachelogger@ubuntu.com>
Build-Depends: debhelper (>= 9),
 dpkg-dev (>= 1.16.1~),
 dh-apparmor,
 pkg-kde-tools (>= 0.5.0),
 cmake,
 libdbus-1-dev,
 libqca-qt5-2-dev,
 libindicate-qt-dev,
 libdbusmenu-qt-dev,
 zlib1g-dev,
 qttools5-dev-tools,
 qttools5-dev,
 qtscript5-dev,
 libphonon4qt5-dev,
 libphonon4qt5experimental-dev,
 libdbusmenu-qt5-dev,
 libqt5webkit5-dev,
 dh-systemd,
 extra-cmake-modules,
 libkf5textwidgets-dev,
 libkf5coreaddons-dev,
 libkf5xmlgui-dev,
 libkf5notifications-dev,
 libkf5notifyconfig-dev,
 libkf5widgetsaddons-dev
Standards-Version: 3.9.6
Homepage: http://www.quassel-irc.org/
Vcs-Bzr: lp:~ubuntu-dev/quassel/ubuntu
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-dev/quassel/ubuntu

Package: quassel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 quassel-data (= ${source:Version}), libqt5sql5-sqlite
Recommends: breeze-icon-theme
Breaks: quassel-qt4 (<< 0.11.0-0ubuntu2)
Replaces: quassel-qt4 (<< 0.11.0-0ubuntu2)
Description: IRC client
 This is a modern, cross-platform, distributed IRC client. One
 (or multiple) client(s) can attach to and detach from a central core. It's
 much like the popular combination of screen and a text-based IRC client such
 as WeeChat, but graphical.
 .
 This package provides a complete traditional IRC client (client and core) in
 a single integrated package

Package: quassel-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 quassel-data (= ${source:Version})
Recommends: oxygen-icon-theme
Breaks: quassel-client-qt4 (<< 0.11.0-0ubuntu2)
Replaces: quassel-client-qt4 (<< 0.11.0-0ubuntu2)
Description: distributed IRC client - client component
 This is the client component of Quassel. A modern, cross-platform, distributed
 IRC client, meaning that one (or multiple) client(s) can attach to and detach
 from this central core. It's much like the popular combination of screen and
 a text-based IRC client such as WeeChat, but graphical.
 .
 This package only provides Quassel's client component. If you need to run the
 core/server component on your local machine install the package 'quassel'
 instead.

Package: quassel-core
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, openssl, libqt5sql5-sqlite
Conflicts: quassel
Description: distributed, KDE/Qt-based IRC client - core/server component
 This is the core component of Quassel. A modern, cross-platform, distributed
 IRC client, meaning that one (or multiple) client(s) can attach to and detach
 from this central core. It's much like the popular combination of screen and
 a text-based IRC client such as WeeChat, but graphical.
 .
 This package only provides Quassel's core/server component.

Package: quassel-data
Architecture: all
Depends: ${misc:Depends}
Breaks: quassel-qt4-data
Replaces: quassel-qt4-data
Description: distributed, KDE/Qt-based IRC client - data files
 This is a modern, cross-platform, distributed IRC client, meaning that one
 (or multiple) client(s) can attach to and detach from a central core. It's
 much like the popular combination of screen and a text-based IRC client such
 as WeeChat, but graphical.
 .
 This package contains architecture-independent data files needed to run
 Quassel.

Package: quassel-dbg
Section: debug
Architecture: any
Priority: extra
Depends: quassel (= ${binary:Version}) | quassel-client (= ${binary:Version}) | quassel-core (= ${binary:Version}),
 ${misc:Depends}
Description: distributed, KDE/Qt-based IRC client - debugging symbols
 These are the debugging symbols of Quassel. A modern, cross-platform,
 distributed IRC client, meaning that one (or multiple) client(s) can attach to
 and detach from this central core. It's much like the popular combination of
 screen and a text-based IRC client such as WeeChat, but graphical.
 .
 This package only provides Quassel's debugging symbols.

#Remove after Kubuntu 16.04
Package: quassel-qt4
Architecture: any
Depends: quassel, ${misc:Depends}
Description: Transitional package for Quassel
 This is an empty package to transition to quassel, it can
 be safely removed.

#Remove after Kubuntu 16.04
Package: quassel-client-qt4
Architecture: any
Depends: quassel-client, ${misc:Depends}
Description: Transitional package for Quassel Client
 This is an empty package to transition to quassel-client, it can
 be safely removed.
